<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GenerateDefaultValues Method (IEdmEnumeratorVariable7)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVariable7 Interface : GenerateDefaultValues Method (IEdmEnumeratorVariable7)

Visual Basic
C#
C++/CLI

lFolderID
  ID of the file's parent folder

bWriteValuesToFile
  True to write values to the file, false to write only to the database

ppoRetVariables
  Array of IEdmVariableValue6 interfaces; one interface for each variable value generated (see Remarks)

Generates all default values that have not been generated before.

# Syntax

Visual Basic |
--- | ---

    Function GenerateDefaultValues( _
       ByVal lFolderID As System.Integer, _
       ByVal bWriteValuesToFile As System.Boolean, _
       ByRef ppoRetVariables() As System.Object _
    ) As System.Boolean

C# |
--- | ---

    System.bool GenerateDefaultValues(
       System.int lFolderID,
       System.bool bWriteValuesToFile,
       out System.object[] ppoRetVariables
    )

C++/CLI |
--- | ---

    System.bool GenerateDefaultValues(
    &   System.int lFolderID,
    &   System.bool bWriteValuesToFile,
    &   [Out] System.array<Object^>^ ppoRetVariables
    )

#### Parameters

lFolderID
  ID of the file's parent folder
bWriteValuesToFile
  True to write values to the file, false to write only to the database
ppoRetVariables
  Array of IEdmVariableValue6 interfaces; one interface for each variable value generated (see Remarks)

#### Return Value

True if values were generated, false if not

# Remarks

If bWriteValuesToFile is false, then the caller is responsible for writing the values to the file.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: No values needed to be generated.

# See Also

####

IEdmEnumeratorVariable7 Interface
IEdmEnumeratorVariable7 Members

# Availability

SOLIDWORKS PDM Professional Version 6.4